# Copyright © 2022-2023 antD97
# Licensed under the MIT License https://antD.mit-license.org/

# https://minecraft.tools/en/json_text.php

scoreboard players add @s restricted_rockets_max_rockets 0
scoreboard players add @s restricted_rockets_override_max_rockets 0
scoreboard players add @s restricted_rockets_safe_elytra_break 0
scoreboard players add @s restricted_rockets_rockets_tip 0
scoreboard players add @s restricted_rockets_zero_rockets_tip_always 0

# horizontal line
tellraw @s ""
tellraw @s ["",{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"}]

# header
tellraw @s {"text":" Restricted Rockets Client Config","bold":true}
tellraw @s {"text":" \u0020 \u0020 \u0020 \u0020 \u0020 \u0020 Click value to modify","italic":true}

tellraw @s ""

# server max rockets
tellraw @s ["",{"text":"Server max rockets: "},{"score":{"name":"restricted_rockets_","objective":"restricted_rockets_max_rockets"}}]
# overrides
execute if score restricted_rockets_ restricted_rockets_override_max_rockets matches 1 run function restricted_rockets:player_config/override_max_rockets
tellraw @s ""

# server slow fall on elytra break
execute if score restricted_rockets_ restricted_rockets_safe_elytra_break matches 0 run tellraw @s ["",{"text":"Server slow fall on elytra break: "},{"text":"false","bold":true}]
execute if score restricted_rockets_ restricted_rockets_safe_elytra_break matches 1 run tellraw @s ["",{"text":"Server slow fall on elytra break: "},{"text":"true","bold":true}]
# overrides
execute if score restricted_rockets_ restricted_rockets_override_safe_elytra_break matches 1 run function restricted_rockets:player_config/override_safe_elytra_break

tellraw @s ""

# server rockets tip
execute if score restricted_rockets_ restricted_rockets_rockets_tip matches 0 run tellraw @s ["",{"text":"Server rockets tip: "},{"text":"false","bold":true}]
execute if score restricted_rockets_ restricted_rockets_rockets_tip matches 1 run tellraw @s ["",{"text":"Server rockets tip: "},{"text":"true","bold":true}]
# client value
execute as @s[scores={restricted_rockets_rockets_tip=0}] run tellraw @s ["",{"text":"    Client value: "},{"text":"[","color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 0"}},{"text":"server","underlined":true,"color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 0"}},{"text":"]","color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 0"}},{"text":" "},{"text":"[false]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 1"}},{"text":" "},{"text":"[true]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 2"}}]
execute as @s[scores={restricted_rockets_rockets_tip=1}] run tellraw @s ["",{"text":"    Client value: "},{"text":"[server]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 0"}},{"text":" "},{"text":"[","color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 1"}},{"text":"false","underlined":true,"color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 1"}},{"text":"]","color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 1"}},{"text":" "},{"text":"[true]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 2"}}]
execute as @s[scores={restricted_rockets_rockets_tip=2}] run tellraw @s ["",{"text":"    Client value: "},{"text":"[server]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 0"}},{"text":" "},{"text":"[false]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 1"}},{"text":" "},{"text":"[","color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 2"}},{"text":"true","underlined":true,"color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 2"}},{"text":"]","color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_rockets_tip set 2"}}]

tellraw @s ""

# server zero rockets tip persists
execute if score restricted_rockets_ restricted_rockets_zero_rockets_tip_always matches 0 run tellraw @s ["",{"text":"Server zero rockets tip persists: "},{"text":"false","bold":true}]
execute if score restricted_rockets_ restricted_rockets_zero_rockets_tip_always matches 1 run tellraw @s ["",{"text":"Server zero rockets tip persists: "},{"text":"true","bold":true}]
# client value
execute as @s[scores={restricted_rockets_zero_rockets_tip_always=0}] run tellraw @s ["",{"text":"    Client value: "},{"text":"[","color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 0"}},{"text":"server","underlined":true,"color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 0"}},{"text":"]","color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 0"}},{"text":" "},{"text":"[false]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 1"}},{"text":" "},{"text":"[true]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 2"}}]
execute as @s[scores={restricted_rockets_zero_rockets_tip_always=1}] run tellraw @s ["",{"text":"    Client value: "},{"text":"[server]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 0"}},{"text":" "},{"text":"[","color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 1"}},{"text":"false","underlined":true,"color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 1"}},{"text":"]","color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 1"}},{"text":" "},{"text":"[true]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 2"}}]
execute as @s[scores={restricted_rockets_zero_rockets_tip_always=2}] run tellraw @s ["",{"text":"    Client value: "},{"text":"[server]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 0"}},{"text":" "},{"text":"[false]","color":"aqua","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 1"}},{"text":" "},{"text":"[","color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 2"}},{"text":"true","underlined":true,"color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 2"}},{"text":"]","color":"yellow","clickEvent":{"action":"suggest_command","value":"/trigger restricted_rockets_zero_rockets_tip_always set 2"}}]

# horizontal line
tellraw @s ["",{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"},{"text":"\u2500"},{"text":"\u2500","color":"#FF0000"}]
